Przejdź do głównej treści
POST
/
tiktok
/
search
Search TikTok users and video resources by keyword.
curl --request POST \
  --url https://api.acedata.cloud/tiktok/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "user",
  "keywords": "<string>",
  "cursor": 123,
  "region": "us",
  "sort_type": 0,
  "publish_time": 0
}
'
{
  "result": 904,
  "next_cursor": 602
}

Autoryzacje

Authorization
string
header
wymagane

Nagłówki

accept
enum<string>

Specifies the format of the response from the server.

Dostępne opcje:
application/json,
application/x-ndjson

Treść

application/json
type
enum<string>
wymagane

The type of resource you want to search for, usually including users and videos.

Dostępne opcje:
user,
video
keywords
string
wymagane

When searching for user resources, you should enter the user's name, unique_id,When searching for video resources is should be filled in the video name.

cursor
integer

Post information page turn id, which needs to be returned by cursor in the result.

region
enum<string>

Region to search for video resources.

Dostępne opcje:
us,
jp,
kr,
vn,
br,
ru
sort_type
enum<integer>

Sorting criteria specified when searching for video resources. 0 indicates sorting by keyword relevance, 1 indicates sorting by number of likes, and 3 indicates sorting by publication date.

Dostępne opcje:
0,
1,
3
publish_time
enum<integer>

When searching for video resources, specify the release date. 0 indicates unlimited date, 1 indicates expired one day, 7 indicates this week, 30 indicates this month, 90 indicates the past three months, and 180 indicates the past six months.

Dostępne opcje:
0,
1,
24,
7,
30,
90,
180

Odpowiedź

OK, the request was successful.

result
object

Return comment result information.

next_cursor
string

id for comment information page turning.